%define upstream_name Services_Weather
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.4.7
Release:     	%mkrel 2
Summary:   	This class acts as an interface to various online weather-services
License: 	BSD License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Services_Weather-%{version}.tgz
URL: 		http://pear.php.net/package/Services_Weather
BuildRequires:	php-pear >= 1.4.7
Requires: 	php-pear-HTTP_Request >= 1.2.0
Requires:	php-pear >= 1.4.0
BuildArch: noarch

%description
Services_Weather searches for given locations and retrieves current
        weather data and, dependent on the used service, also forecasts. Up
to
        now, GlobalWeather from CapeScience, Weather XML from EJSE (US
only),
        a XOAP service from Weather.com and METAR/TAF from NOAA are
supported.
        Further services will get included, if they become available, have
a
        usable API and are properly documented.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Services_Weather.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Services_Weather.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Services_Weather
fi

%files
%doc docs/Services_Weather/*
%{peardir}/*
%{xmldir}/Services_Weather.xml


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.4.7-2.mga4
+ Revision: 528326
- Mageia 4 Mass Rebuild

* Mon Jun 17 2013 spuhler <spuhler> 1.4.7-1.mga4
+ Revision: 444197
- upgrade to version 1.4.7

* Sun Jan 13 2013 umeabot <umeabot> 1.4.6-3.mga3
+ Revision: 377288
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 14 2012 spuhler <spuhler> 1.4.6-2.mga2
+ Revision: 196169
+ rebuild (emptylog)

* Sat Jan 14 2012 spuhler <spuhler> 1.4.6-1.mga2
+ Revision: 196117
- upgrade to 1.4.6
  pearized spec

* Fri Jan 21 2011 spuhler <spuhler> 1.4.5-7.mga1
+ Revision: 28014
- removed buildroot definition from .spec
- imported package php-pear-Services_Weather


* Tue Aug 03 2010 Thomas Spuhler <tspuhler@mandriva.org> 1.4.5-7mdv2011.0
+ Revision: 565241
- Increased release for rebuild

* Tue Mar 16 2010 Thomas Spuhler <tspuhler@mandriva.org> 1.4.5-6mdv2010.1
+ Revision: 520659
- added Requires: php-pear-Net_FTP
  fixed SPEC file so buildMetarDB.php gets installed

* Thu Feb 18 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 1.4.5-5mdv2010.1
+ Revision: 507870
- bump release

* Thu Feb 18 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 1.4.5-3mdv2010.1
+ Revision: 507866
- Hopfuly fix #57093

* Sun Jan 10 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.5-1mdv2010.1
+ Revision: 489156
- update to new version 1.4.5

* Tue Nov 17 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.4-3mdv2010.1
+ Revision: 467083
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.4.4-2mdv2010.0
+ Revision: 426668
- rebuild

* Sun Mar 22 2009 Funda Wang <fwang@mandriva.org> 1.4.4-1mdv2009.1
+ Revision: 360161
- new version 1.4.4

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.4.3-2mdv2009.1
+ Revision: 321900
- rebuild

* Sat Aug 16 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.3-1mdv2009.0
+ Revision: 272595
- 1.4.3

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.4.2-3mdv2009.0
+ Revision: 224880
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.2-2mdv2008.1
+ Revision: 178537
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1.4.2-1mdv2008.0
+ Revision: 15750
- 1.4.2


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.4.0-1mdv2007.0
+ Revision: 82644
- Import php-pear-Services_Weather

* Sat May 20 2006 Oden Eriksson <oeriksson@mandriva.com> 1.4.0-1mdk
- 1.4.0

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3.2-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.2-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.2-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.2-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.2-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.2-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.2-1mdk
- 1.3.2
- fix spec file to conform with the others

* Thu Jan 20 2005 Pascal Terjan <pterjan@mandrake.org> 1.3.1-1mdk
- First mdk package

